Authorization: Bearer ********************{
"model": "MiniMax-M2.1",
"messages": [
{
"role": "system",
"name": "Trợ lý AI",
"content": "Bạn là một trợ lý AI chuyên nghiệp và thân thiện."
},
{
"role": "user",
"name": "Trương Tam",
"content": "Giúp tôi viết một bài thơ về mùa thu."
}
],
"stream": true,
"max_completion_tokens": 2048,
"temperature": 0.9,
"top_p": 0.95,
"stream_options": {
"include_usage": true
}
}curl --location --request POST 'https://api.key4u.shop/v1/messages' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "MiniMax-M2.1",
"messages": [
{
"role": "system",
"name": "Trợ lý AI",
"content": "Bạn là một trợ lý AI chuyên nghiệp và thân thiện."
},
{
"role": "user",
"name": "Trương Tam",
"content": "Giúp tôi viết một bài thơ về mùa thu."
}
],
"stream": true,
"max_completion_tokens": 2048,
"temperature": 0.9,
"top_p": 0.95,
"stream_options": {
"include_usage": true
}
}'{\r\n \"id\": \"04ecb5d9b1921ae0fb0e8da9017a5474\",\r\n \"choices\": [\r\n {\r\n \"finish_reason\": \"stop\",\r\n \"index\": 0,\r\n \"message\": {\r\n \"content\": \"Xin chào! Tôi có thể giúp bạn điều gì?\",\r\n \"role\": \"assistant\",\r\n \"name\": \"MiniMax AI\",\r\n \"audio_content\": \"\",\r\n \"reasoning_content\": \"...được bỏ qua\"\r\n }\r\n }\r\n ],\r\n \"created\": 1755153113,\r\n \"model\": \"MiniMax-M1\",\r\n \"object\": \"chat.completion\",\r\n \"usage\": {\r\n \"total_tokens\": 249,\r\n \"total_characters\": 0,\r\n \"prompt_tokens\": 26,\r\n \"completion_tokens\": 223,\r\n \"completion_tokens_details\": {\r\n \"reasoning_tokens\": 214\r\n }\r\n },\r\n \"input_sensitive\": false,\r\n \"output_sensitive\": false,\r\n \"input_sensitive_type\": 0,\r\n \"output_sensitive_type\": 0,\r\n \"output_sensitive_int\": 0,\r\n \"base_resp\": {\r\n \"status_code\": 0,\r\n \"status_msg\": \"\"\r\n }\r\n}